package com.bwie.duojiyun;

import org.json.JSONObject;

import static com.bwie.duojiyun.DogGetApi.dogeAPIGet;

public class DuoJiYunUtil {

    //用来调用多吉云API获取秘钥
    public static JSONObject getCredentials() {
        JSONObject body = new JSONObject();
        body.put("channel", "OSS_FULL");
        body.append("scopes", "*"); // 要操作的存储空间名称，注意不是 s3Bucket 值，也可以设置为 *

        JSONObject data = dogeAPIGet("/auth/tmp_token.json", body);
        JSONObject credentials = data.getJSONObject("Credentials");
        return credentials;
    }

}
